| QxOrm 1.5.0 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | Protected Attributes
qx::dao::detail::QxSqlCompare Class Reference
QxDao : QxOrm library database communication used by persistence engine (ORM - Object Relational Mapping)

qx::dao::detail::QxSqlCompare : SQL element to compare value (==, <, >, <=, >=, LIKE, NOT LIKE, etc.) More...

`#include <QxSqlCompare.h>`

Inheritance diagram for qx::dao::detail::QxSqlCompare:

List of all members.

## Public Types
enum | type { _is_equal_to, _is_not_equal_to, _is_greater_than, _is_greater_than_or_equal_to, _is_less_than, _is_less_than_or_equal_to, _like, _not_like, _starts_with, _ends_with, _contains_string, _custom_operator, _is_equal_to_select, _is_not_equal_to_select }
## Public Member Functions
| QxSqlCompare ()
| QxSqlCompare (int index, QxSqlCompare::type t, const QString &sCustomOperator=QString())
virtual | ~QxSqlCompare ()
virtual QString | toString () const
virtual void | resolve (QSqlQuery &query, qx::QxCollection< QString, QVariantList > *pLstExecBatch=NULL) const
virtual void | postProcess (QString &sql) const
virtual IxSqlElement::type_class | getTypeClass () const
## Protected Member Functions
virtual QString | getExtraSettings () const
virtual void | setExtraSettings (const QString &s)
## Protected Attributes
QxSqlCompare::type | m_type
| Compare type.
QString | m_sCustomOperator
| Possibility to define a custom operator with enum _custom_operator (for example <@ for PostgreSQL ltree type)

## Detailed Description

qx::dao::detail::QxSqlCompare : SQL element to compare value (==, <, >, <=, >=, LIKE, NOT LIKE, etc.)

Definition at line 56 of file QxSqlCompare.h.

## Member Enumeration Documentation

enum qx::dao::detail::QxSqlCompare::type

Enumerator:

  _is_equal_to |
  _is_not_equal_to |
  _is_greater_than |
  _is_greater_than_or_equal_to |
  _is_less_than |
  _is_less_than_or_equal_to |
  _like |
  _not_like |
  _starts_with |
  _ends_with |
  _contains_string |
  _custom_operator |
  _is_equal_to_select |
  _is_not_equal_to_select |

Definition at line 61 of file QxSqlCompare.h.

## Constructor & Destructor Documentation

qx::dao::detail::QxSqlCompare::QxSqlCompare | ( |  | ) |

qx::dao::detail::QxSqlCompare::QxSqlCompare | ( | int | index,
|  | QxSqlCompare::type | t,
|  | const QString & | sCustomOperator = `QString()`
| ) |  |

virtual qx::dao::detail::QxSqlCompare::~QxSqlCompare | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual QString qx::dao::detail::QxSqlCompare::getExtraSettings | ( |  | ) | const`[protected, virtual]`

Implements qx::dao::detail::IxSqlElement.

virtual IxSqlElement::type_class qx::dao::detail::QxSqlCompare::getTypeClass | ( |  | ) | const`[virtual]`

Implements qx::dao::detail::IxSqlElement.

virtual void qx::dao::detail::QxSqlCompare::postProcess | ( | QString & | sql | ) | const`[virtual]`

Implements qx::dao::detail::IxSqlElement.

virtual void qx::dao::detail::QxSqlCompare::resolve | ( | QSqlQuery & | query,
|  | qx::QxCollection< QString, QVariantList > * | pLstExecBatch = `NULL`
| ) |  | const`[virtual]`

Implements qx::dao::detail::IxSqlElement.

virtual void qx::dao::detail::QxSqlCompare::setExtraSettings | ( | const QString & | s | ) | `[protected, virtual]`

Implements qx::dao::detail::IxSqlElement.

virtual QString qx::dao::detail::QxSqlCompare::toString | ( |  | ) | const`[virtual]`

Implements qx::dao::detail::IxSqlElement.

## Member Data Documentation

QString qx::dao::detail::QxSqlCompare::m_sCustomOperator`[protected]`

Possibility to define a custom operator with enum _custom_operator (for example <@ for PostgreSQL ltree type)

Definition at line 69 of file QxSqlCompare.h.

QxSqlCompare::type qx::dao::detail::QxSqlCompare::m_type`[protected]`

Compare type.

Definition at line 68 of file QxSqlCompare.h.

The documentation for this class was generated from the following file:

- C:/Dev/_Perso/QxOrm/include/QxDao/QxSqlElement/QxSqlCompare.h